// SPDX-License-Identifier: MIT
pragma solidity 0.8.19;

import {ImmutableERC721MintByID} from "@imtbl/contracts/contracts/token/erc721/preset/ImmutableERC721MintByID.sol";

contract CFNFTGame is ImmutableERC721MintByID{
  /**
    * @notice Grants `DEFAULT_ADMIN_ROLE` to the supplied `owner` address
    * @param owner_ The address to grant the `DEFAULT_ADMIN_ROLE` to
    * @param baseURI_ The base URI for the collection
    * @param contractURI_ The contract URI for the collection
    * @param operatorAllowlist_ The address of the operator allowlist
    * @param royaltyReceiver_ The address of the royalty receiver
    * @param feeNumerator_ The royalty fee numerator
    * @dev the royalty receiver and amount (this can not be changed once set)
    */
  constructor(
      address owner_,
      string memory name_,
      string memory symbol_,
      string memory baseURI_,
      string memory contractURI_,
      address operatorAllowlist_,
      address royaltyReceiver_,
      uint96 feeNumerator_
  )
      ImmutableERC721MintByID(
          owner_,
          name_,
          symbol_,
          baseURI_,
          contractURI_,
          operatorAllowlist_,
          royaltyReceiver_,
          feeNumerator_
      )
  {}
  


}