import { HardhatRuntimeEnvironment } from "hardhat/types";
import { DeployFunction } from "hardhat-deploy/types";
import { updateArray } from "../scripts/utils"


const deployNFTClaim: DeployFunction = 
  async function (hre: HardhatRuntimeEnvironment) {
    const provider = hre.ethers.provider;
    const from = await (await provider.getSigner()).getAddress();

    console.log(from);
    const nftAddress = '0xaa34B79A0Ab433eaC900fB3CB9f191F5Cd27501D';
    const verifier = '0x5Ab03Aa79Ab91B7420b5CFF134a4188388888888'
    const mintConfig = [
      1000,
      2000,
      '0xaa34B79A0Ab433eaC900fB3CB9f191F5Cd27501D',
      100,
      '0x5Ab03Aa79Ab91B7420b5CFF134a4188388888888'
    ]
    const ret = await hre.deployments.deploy("NFTClaimStage2", {
      from,
      args: [nftAddress, verifier, mintConfig],
      log: true,
    });
    console.log("==NFTClaimStage2 addr=", ret.address);
    updateArray({
      name: "NFTClaimStage2",
      type: "logic",
      json: "assets/contracts/NFTClaimStage2.json",
      address: ret.address,
      network: hre.network.name,
    });
  };

  deployNFTClaim.tags = ["NFTClaimStage2"];

export default deployNFTClaim;
