import { HardhatRuntimeEnvironment } from "hardhat/types";
import { DeployFunction } from "hardhat-deploy/types";
import { updateArray } from "../scripts/utils"

const deployNFTForGame: DeployFunction = 
  async function (hre: HardhatRuntimeEnvironment) {
    const provider = hre.ethers.provider;
    const from = await (await provider.getSigner()).getAddress();
    const config = require(`../config/config_${hre.network.name}`);
    const owner = from;
    const name = "Test Token";
    const symbol = "TETH";
    const ret = await hre.deployments.deploy("ImmutableERC20MinterBurnerPermit", {
      from,
      args: [owner, owner, owner, name, symbol, '10000000000000000000000000'],
      log: true,
    });
    console.log("==ImmutableERC20MinterBurnerPermit addr=", ret.address);
    updateArray({
      name: "TestToken",
      type: "erc20",
      json: "assets/contracts/ImmutableERC20MinterBurnerPermit.json",
      address: ret.address,
      network: hre.network.name,
    });
  };

  deployNFTForGame.tags = ["TestToken"];

export default deployNFTForGame;
