import { HardhatRuntimeEnvironment } from "hardhat/types";
import { DeployFunction } from "hardhat-deploy/types";
import { updateArray } from "../scripts/utils"


const deployNFTClaim: DeployFunction = 
  async function (hre: HardhatRuntimeEnvironment) {
    const provider = hre.ethers.provider;
    const from = await (await provider.getSigner()).getAddress();
    const config = require(`../config/config_${hre.network.name}`);
    const verifier = config.admins.admin
    const ret = await hre.deployments.deploy("NFTLockV2", {
      from,
      args: [3600, verifier],
      log: true,
    });
    console.log("==NFTLock addr=", ret.address);
    updateArray({
      name: "NFTLockV2",
      type: "logic",
      json: "assets/contracts/NFTLock.json",
      address: ret.address,
      network: hre.network.name,
    });
  };

  deployNFTClaim.tags = ["NFTLockV2"];

export default deployNFTClaim;
