import { HardhatRuntimeEnvironment } from "hardhat/types";
import { DeployFunction } from "hardhat-deploy/types";
import { updateArray } from "../scripts/utils"


const deployNFTClaim: DeployFunction = 
  async function (hre: HardhatRuntimeEnvironment) {
    const provider = hre.ethers.provider;
    const from = await (await provider.getSigner()).getAddress();
    const ret = await hre.deployments.deploy("AirdropToken", {
      from,
      args: [],
      log: true,
    });
    console.log("==AirdropToken addr=", ret.address);
    updateArray({
      name: "AirdropToken",
      type: "logic",
      json: "assets/contracts/AirdropToken.json",
      address: ret.address,
      network: hre.network.name,
    });
  };

  deployNFTClaim.tags = ["AirdropToken"];

export default deployNFTClaim;
