
import { read, write } from "fs-jetpack";

export const updateArray = ({ name, type, json, address, network }: { name: string, type: string, json: string, address: string, network: string }) => {
  let env = process.env.NODE_ENV || "dev";
  const filename = `./out/${network}_${env}.json`;
  let cfgs = read(filename, "json");
  cfgs = cfgs || [];
  if (cfgs.find((item: any) => item.name === name)) {
    cfgs.splice(
      cfgs.findIndex((item: any) => item.name === name),
      1,
    );
  }
  cfgs.push({
    name,
    type,
    json,
    address,
  });
  write(filename, cfgs);
  return cfgs;
};

export const loadData = function ({ network }: { network: string }) {
  let env = process.env.NODE_ENV || "dev";
  const filename = `./out/${network}_${env}.json`;
  return read(filename, "json");
};
