import { expect } from 'chai'
import hre from "hardhat";
import {
  getBytes,
  solidityPackedKeccak256,
} from 'ethers'
import {
  loadFixture,
} from "@nomicfoundation/hardhat-toolbox/network-helpers";

describe('Test', function() {
  async function deployOneContract() {
    // Contracts are deployed using the first signer/account by default
    const [owner, otherAccount] = await hre.ethers.getSigners();
    const verifier = owner.address;
    
    const TestBit = await hre.ethers.getContractFactory("TestSth");
    
    const contract = await TestBit.deploy( );
    const chainId = hre.network.config.chainId

    return { contract, owner, otherAccount, verifier, chainId };
  }
  describe("Deployment", function () {
    it('should deploy TestSth', async function() {
      const { contract } = await loadFixture(deployOneContract);
      
      const result = await contract.test(2, 3);
      console.log(result);
      expect(result).to.equal(1);
      
    });
    
  })
  
  
})